#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;

uniform float weights[5];
uniform vec2 coords[4];
uniform float totalCo;

void main(void)
{
    gl_FragColor = vec4((texture2D(CC_Texture0, v_texCoord + coords[0]) * weights[0] +
                         texture2D(CC_Texture0, v_texCoord + coords[1]) * weights[1] +
                         texture2D(CC_Texture0, v_texCoord) * weights[2] +
                         texture2D(CC_Texture0, v_texCoord + coords[2]) * weights[3] +
                         texture2D(CC_Texture0, v_texCoord + coords[3]) * weights[4]
    
    ) * totalCo);
}

